Subject: Re: MCoA vs Flow Bindings: Solving same problem? (was Re: [Monami6]Flow Bindings anddestinationaddressindraft-soliman-monami6-flow-binding-00.txt)

From: Ryuji Wakikawa <[email-masked]>
Date: Wed, 5 Jul 2006 14:49:10 +0900

On 2006/06/30, at 13:40, Romain KUNTZ wrote:

> Hello all,
>
> Soliman, Hesham wrote:
>> Do people thing there is value in defining the mechanism for  
>> registering
>> multiple CoAs without defining the use of such registration? I.e.  
>> is the
>> abstract concept with the BID useful by itself?
>
> I think this is not very useful, but it does not force us to do it  
> in an unique draft. Having 2 separated draft (one for MCoA  
> registration, one for flow distribution) would be more flexible,  
> allowing to build different policy distribution mechanisms on top  
> of MCoA.
>
> Actually I have several concerns with draft-soliman. The first one  
> is that it does not match the monami6 charter:
>
> - A "Flow/binding policies exchange" solution for an exchange of
> policies from the mobile host/router to the Home Agent and from the
> Home Agent to the mobile host/router influencing the choice of the
> Care-of Address and Home Agent address [Standard Track].
>
> draft-soliman does not allow to exchange policy from the HA to the  
> MN. Policy exchange can only be done in one way, from MN to HA.

This is right scenario which we have to consider in this WG.

ryuji

> My second concern is that the HA can only learn policies from the  
> MN. What about the cases when both MN and HA learn policies from a  
> third entity, via ftp for example, or any other application?
>
> That's why I personnaly prefer a solution such as draft-mitsuya- 
> monami6-flow-distribution-policy-01 which allows all of this, while  
> being built on top of MCoA.
>
> Regards,
>
> -- 
> Romain KUNTZ
> [email-masked]
>
> _______________________________________________
> Monami6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/monami6
>

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6